[SCM] debian-live/live-initramfs branch, master, updated. 1.102.1-1-3-ga8a1742

Daniel Baumann daniel at debian.org
Wed Sep 19 13:47:57 UTC 2007


The branch, master has been updated
       via  a8a1742688242c2b083119f38a2a2e52d98c3c59 (commit)
       via  a8e1b8df5c6a07b017530aa86291a1ee53df0e24 (commit)
      from  b6d14a64c3b919c7ee2d05d773b7d813d18801c0 (commit)


- Shortlog ------------------------------------------------------------
a8a1742 Bumping version to 1.103.1-1.
a8e1b8d Merging casper 1.102.

Summary of changes:
 Makefile                             |    2 +-
 debian/changelog                     |    2 +-
 docs/ChangeLog.casper                |    8 ++++++++
 docs/parameters.txt                  |    2 +-
 scripts/live-bottom/23networking     |   24 +++++++++++++++---------
 scripts/live-bottom/25configure_init |    8 +++-----
 6 files changed, 29 insertions(+), 17 deletions(-)
-----------------------------------------------------------------------
Details of changes:

commit a8a1742688242c2b083119f38a2a2e52d98c3c59
Author: Daniel Baumann <daniel at debian.org>
Date:   Wed Sep 19 15:47:53 2007 +0200

    Bumping version to 1.103.1-1.

diff --git a/Makefile b/Makefile
index 8794b37..46809d3 100644
--- a/Makefile
+++ b/Makefile
@@ -111,7 +111,7 @@ update:
 		sed -i	-e 's/2007\\-09\\-24/2007\\-10\\-01/' \
 			-e 's/2007-09-24/2007-10-01/' \
 			-e 's/24.09.2007/01.10.2007/' \
-			-e 's/1.102.2/1.102.3/' \
+			-e 's/1.103.1/1.103.2/' \
 		$$FILE; \
 	done
 
diff --git a/debian/changelog b/debian/changelog
index 58140ee..d2ae99c 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,4 @@
-live-initramfs (1.102.2-1) UNRELEASED; urgency=medium
+live-initramfs (1.103.1-1) UNRELEASED; urgency=medium
 
   * New upstream release.
 
diff --git a/docs/parameters.txt b/docs/parameters.txt
index effb844..1c1a96f 100644
--- a/docs/parameters.txt
+++ b/docs/parameters.txt
@@ -1,7 +1,7 @@
 Boot Parameters for Debian Live
 -------------------------------
 
-Updated for live-initramfs 1.102.2-1 on 2007-09-24.
+Updated for live-initramfs 1.103.1-1 on 2007-09-24.
 
 These options (can be combined) work from the bootloader prompt:
 

commit a8e1b8df5c6a07b017530aa86291a1ee53df0e24
Author: Daniel Baumann <daniel at debian.org>
Date:   Wed Sep 19 15:46:56 2007 +0200

    Merging casper 1.102.

diff --git a/docs/ChangeLog.casper b/docs/ChangeLog.casper
index 1db8326..25e6c00 100644
--- a/docs/ChangeLog.casper
+++ b/docs/ChangeLog.casper
@@ -1,3 +1,11 @@
+casper (1.103) gutsy; urgency=low
+
+  * Disable anacron harder so that it doesn't get started by battery events.
+  * Don't write out DHCP network interface stanzas if network-manager is
+    installed (LP: #139403).
+
+ -- Colin Watson <cjwatson at ubuntu.com>  Wed, 19 Sep 2007 12:52:21 +0100
+
 casper (1.102) gutsy; urgency=low
 
   * Rename 42disable_cups_apparmor to 42disable_apparmor and remove AppArmor's
diff --git a/scripts/live-bottom/23networking b/scripts/live-bottom/23networking
index c6ec9cc..aeff351 100755
--- a/scripts/live-bottom/23networking
+++ b/scripts/live-bottom/23networking
@@ -82,10 +82,12 @@ else
 	fi
 
 	# iterate the physical interfaces and add them to the interfaces list
-	for interface in /sys/class/net/eth* /sys/class/net/ath* /sys/class/net/wlan*
-	do
-		[ -e $interface ] || continue
-		i="$(basename $interface)"
+	if [ "$method" != dhcp ] || [ ! -x /root/usr/sbin/NetworkManager ]
+	then
+		for interface in /sys/class/net/eth* /sys/class/net/ath* /sys/class/net/wlan*
+		do
+			[ -e $interface ] || continue
+			i="$(basename $interface)"
 
 cat >> "$IFFILE" << EOF
 auto $i
@@ -93,7 +95,8 @@ iface $i inet $method
 
 EOF
 
-	done
+		done
+	fi
 
 	if [ ! -f /root/etc/resolv.conf -a -f /netboot.config ]
 	then
@@ -125,9 +128,11 @@ EOF
 	fi
 fi
 
-#for i in eth0 eth1 eth2 ath0 wlan0
-#do
-#	grep -q "iface $i" $IFFILE && continue
+#if [ ! -x /root/usr/sbin/NetworkManager ]
+#then
+#	for i in eth0 eth1 eth2 ath0 wlan0
+#	do
+#		grep -q "iface $i" $IFFILE && continue
 #
 #cat >> "$IFFILE" << EOF
 #auto $i
@@ -135,6 +140,7 @@ fi
 #
 #EOF
 #
-#done
+#	done
+#fi
 
 log_end_msg
diff --git a/scripts/live-bottom/25configure_init b/scripts/live-bottom/25configure_init
index 1ed4445..e30261a 100755
--- a/scripts/live-bottom/25configure_init
+++ b/scripts/live-bottom/25configure_init
@@ -108,12 +108,10 @@ if [ -d /etc/rc0.d ]
 then
 	# This has the nice side effect of the cron.{daily,weekly,monthly} jobs in
 	# /etc/crontab remaining disabled, yet also not run by anacron
-	if [ -x /root/etc/init.d/anacron ]
+	if [ -x /root/usr/sbin/anacron ]
 	then
-		for f in /root/etc/rc?.d/S??anacron
-		do
-			mv ${f} ${f%/*}/K00anacron
-		done
+		chroot /root dpkg-divert --add --rename --quiet /usr/sbin/anacron
+		ln -s /bin/true /usr/sbin/anacron
 	fi
 
 	# No point, really

-- 
debian-live/live-initramfs



More information about the debian-live-changes mailing list